"""add_drug_label_parsed_indications

Revision ID: 52946492580b
Revises: 78df8a158978
Create Date: 2026-07-16 07:05:30.584362
"""
from typing import Sequence, Union
from alembic import op
import sqlalchemy as sa
from sqlalchemy.dialects import postgresql

revision: str = '52946492580b'
down_revision: Union[str, None] = '78df8a158978'
branch_labels: Union[str, Sequence[str], None] = None
depends_on: Union[str, Sequence[str], None] = None


def upgrade() -> None:
    op.add_column('drug_labels', sa.Column('parsed_indications', sa.JSON(), nullable=True))


def downgrade() -> None:
    op.drop_column('drug_labels', 'parsed_indications')
